@create __PACKAGE__ named dns-com-vmoo-pages:dns-com-vmoo-pages
;;__PAGES__.("messages_in") = {{"send", {"to", "msg"}}}
;;__PAGES__.("messages_out") = {{"receive", {"from", "msg"}}}
;;__PAGES__.("aliases") = {"dns-com-vmoo-pages"}
;;__PAGES__.("object_size") = {1810, 964289442}

@verb __PAGES__:"handle_send" this none this
@program __PAGES__:handle_send
{session, to, msg} = args;
if (caller != this)
  raise(E_PERM);
endif
to = $string_utils:match_player(to);
if (valid(to))
  top = player:page_origin_msg(1);
  "Some message parsing here...using default";
  msg = tostr($string_utils:pronoun_sub(($string_utils:index_delimited(top, player.name) ? "%S" | "%N") + " %<pages>, \""), msg, "\"");
  to:receive_page(top, msg);
endif
.

@verb __PAGES__:"receive_page" this none this
@program __PAGES__:receive_page
{session, from, @pgs} = args;
if (caller != session.connection)
  return E_PERM;
endif
if (session:handles_package(this))
  return this:send_receive(session, tostr(from), toliteral(pgs));
endif
return 0;
.

@verb __PAGES__:"send_receive" this none this
@program __PAGES__:send_receive
if (caller != this)
  raise(E_PERM);
endif
pass(@args);
return 1;
.

"***finished***

